Package com.avaya.clientservices.network.security

## Class IntegratedSSLSocketFactory

- java.lang.Object
- - com.avaya.clientservices.network.security.IntegratedSSLSocketFactory

- All Implemented Interfaces:
    `org.apache.http.conn.scheme.LayeredSocketFactory`, `org.apache.http.conn.scheme.SocketFactory`

      public class IntegratedSSLSocketFactory
      extends java.lang.Object
      implements org.apache.http.conn.scheme.LayeredSocketFactory

  SSLSocketFactory override with sockets that have a custom TrustManager and HostnameVerifier.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IntegratedSSLSocketFactory​(CertificateManager certificateManager)` |
    `IntegratedSSLSocketFactory​(CertificateManager certificateManager, IdentityHandler identityHandler)` |
    `IntegratedSSLSocketFactory​(CertificateManager certificateManager, IdentityHandler identityHandler, boolean overridePrivateTrustStore, java.util.List<java.lang.String> enabledCipherSuites)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.net.Socket` | `connectSocket​(java.net.Socket socket, java.lang.String host, int port, java.net.InetAddress localAddress, int localPort, org.apache.http.params.HttpParams httpParams)` |
    `java.net.Socket` | `createSocket()` |
    `java.net.Socket` | `createSocket​(java.net.Socket socket, java.lang.String host, int port, boolean autoClose)` |
    `boolean` | `isSecure​(java.net.Socket socket)` |
    `void` | `setMinTLSProtocolVersion​(TLSProtocolVersion minTLS)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IntegratedSSLSocketFactory

          public IntegratedSSLSocketFactory​(CertificateManager certificateManager,
                                            IdentityHandler identityHandler,
                                            boolean overridePrivateTrustStore,
                                            java.util.List<java.lang.String> enabledCipherSuites)
                                     throws java.security.NoSuchAlgorithmException,
                                            java.security.KeyManagementException,
                                            java.security.KeyStoreException,
                                            java.security.UnrecoverableKeyException

      Throws:
        `java.security.NoSuchAlgorithmException`
        `java.security.KeyManagementException`
        `java.security.KeyStoreException`
        `java.security.UnrecoverableKeyException`

    - #### IntegratedSSLSocketFactory

          public IntegratedSSLSocketFactory​(CertificateManager certificateManager,
                                            IdentityHandler identityHandler)
                                     throws java.security.NoSuchAlgorithmException,
                                            java.security.KeyManagementException,
                                            java.security.KeyStoreException,
                                            java.security.UnrecoverableKeyException

      Throws:
        `java.security.NoSuchAlgorithmException`
        `java.security.KeyManagementException`
        `java.security.KeyStoreException`
        `java.security.UnrecoverableKeyException`

    - #### IntegratedSSLSocketFactory

          public IntegratedSSLSocketFactory​(CertificateManager certificateManager)
                                     throws java.security.UnrecoverableKeyException,
                                            java.security.NoSuchAlgorithmException,
                                            java.security.KeyStoreException,
                                            java.security.KeyManagementException

      Throws:
        `java.security.UnrecoverableKeyException`
        `java.security.NoSuchAlgorithmException`
        `java.security.KeyStoreException`
        `java.security.KeyManagementException`

  - ### Method Detail

    - #### createSocket

          public java.net.Socket createSocket​(java.net.Socket socket,
                                              java.lang.String host,
                                              int port,
                                              boolean autoClose)
                                       throws java.io.IOException

      Specified by:
        `createSocket` in interface `org.apache.http.conn.scheme.LayeredSocketFactory`
      Throws:
        `java.io.IOException`

    - #### createSocket

          public java.net.Socket createSocket()
                                       throws java.io.IOException

      Specified by:
        `createSocket` in interface `org.apache.http.conn.scheme.SocketFactory`
      Throws:
        `java.io.IOException`

    - #### connectSocket

          public java.net.Socket connectSocket​(java.net.Socket socket,
                                               java.lang.String host,
                                               int port,
                                               java.net.InetAddress localAddress,
                                               int localPort,
                                               org.apache.http.params.HttpParams httpParams)
                                        throws java.io.IOException

      Specified by:
        `connectSocket` in interface `org.apache.http.conn.scheme.SocketFactory`
      Throws:
        `java.io.IOException`

    - #### isSecure

          public boolean isSecure​(java.net.Socket socket)
                           throws java.lang.IllegalArgumentException

      Specified by:
        `isSecure` in interface `org.apache.http.conn.scheme.SocketFactory`
      Throws:
        `java.lang.IllegalArgumentException`

    - #### setMinTLSProtocolVersion

          public void setMinTLSProtocolVersion​(TLSProtocolVersion minTLS)